net.sourceforge.pmd.lang.dfa

## Class Linker

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.Linker

-     public class Linker
      extends Object

  Author:
    raik Links data flow nodes to each other.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Linker(DataFlowHandler dataFlowHandler, List<StackObject> braceStack, List<StackObject> continueBreakReturnStack)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computePaths()` Creates all the links between the data flow nodes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Linker

          public Linker(DataFlowHandler dataFlowHandler,
                List<StackObject> braceStack,
                List<StackObject> continueBreakReturnStack)

  - ### Method Detail

    - #### computePaths

          public void computePaths()
                            throws LinkerException,
                                   SequenceException

      Creates all the links between the data flow nodes.
      Throws:
        `LinkerException`
        `SequenceException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.